<?php

use Illuminate\Database\Migrations\Migration;

class CreateAppointmentsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: appointments
         */
        Schema::create('appointments', function ($table) {
            $table->increments('id');
            $table->integer('department_id')->nullable();
            $table->integer('faculty_id')->nullable();
            $table->string('name', 250)->nullable();
            $table->string('last_name', 100)->nullable();
            $table->string('email', 255)->nullable();
            $table->text('address')->nullable();
            $table->string('city', 255)->nullable();
            $table->string('state', 255)->nullable();
            $table->dateTime('booking_time')->nullable();
            $table->enum('gender', ['male','female','others'])->nullable();
            $table->text('description')->nullable();
            $table->text('files')->nullable();
            $table->string('slug', 200)->nullable();
            $table->enum('status', ['draft', 'complete', 'verify', 'approve', 'publish', 'unpublish', 'archive'])->default('draft')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type',50)->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('appointments');
    }
}
