@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('appointment::appointment.name') !!} <small> {!! trans('app.manage') !!} {!! trans('appointment::appointment.names') !!}</small>
@stop

@section('title')
{!! trans('appointment::appointment.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
    <li class="active">{!! trans('appointment::appointment.names') !!}</li>
</ol>
@stop

@section('entry')
<div id='appointment-appointment-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="appointment-appointment-list" class="table table-striped data-table">
    <thead class="list_head">
        <th>{!! trans('appointment::appointment.label.department_id')!!}</th>
                    <th>{!! trans('appointment::appointment.label.faculty_id')!!}</th>
                    <th>{!! trans('appointment::appointment.label.name')!!}</th>
                    <th>{!! trans('appointment::appointment.label.last_name')!!}</th>
                    <th>{!! trans('appointment::appointment.label.email')!!}</th>
                    <th>{!! trans('appointment::appointment.label.address')!!}</th>
                    <th>{!! trans('appointment::appointment.label.city')!!}</th>
                    <th>{!! trans('appointment::appointment.label.state')!!}</th>
                    <th>{!! trans('appointment::appointment.label.booking_time')!!}</th>
                    <th>{!! trans('appointment::appointment.label.gender')!!}</th>
                    <th>{!! trans('appointment::appointment.label.description')!!}</th>
                    <th>{!! trans('appointment::appointment.label.files')!!}</th>
                    <th>{!! trans('appointment::appointment.label.status')!!}</th>
                    <th>{!! trans('appointment::appointment.label.created_at')!!}</th>
                    <th>{!! trans('appointment::appointment.label.updated_at')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::text('search[department_id]')->raw()!!}</th>
                    <th>{!! Form::text('search[faculty_id]')->raw()!!}</th>
                    <th>{!! Form::text('search[name]')->raw()!!}</th>
                    <th>{!! Form::text('search[last_name]')->raw()!!}</th>
                    <th>{!! Form::text('search[email]')->raw()!!}</th>
                    <th>{!! Form::text('search[address]')->raw()!!}</th>
                    <th>{!! Form::text('search[city]')->raw()!!}</th>
                    <th>{!! Form::text('search[state]')->raw()!!}</th>
                    <th>{!! Form::text('search[booking_time]')->raw()!!}</th>
                    <th>{!! Form::text('search[gender]')->raw()!!}</th>
                    <th>{!! Form::text('search[description]')->raw()!!}</th>
                    <th>{!! Form::text('search[files]')->raw()!!}</th>
                    <th>{!! Form::text('date[status]')->raw()!!}</th>
                    <th>{!! Form::text('date[created_at]')->raw()!!}</th>
                    <th>{!! Form::text('date[updated_at]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#appointment-appointment-entry', '{!!trans_url('admin/appointment/appointment/0')!!}');
    oTable = $('#appointment-appointment-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/appointment/appointment') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#appointment-appointment-list .search_bar input, #appointment-appointment-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'department_id'},
                    {data :'faculty_id'},
                        {data :'name'},
                    {data :'last_name'},
                    {data :'email'},
                    {data :'address'},
                    {data :'city'},
                    {data :'state'},
                    {data :'booking_time'},
                    {data :'gender'},
                    {data :'description'},
                    {data :'files'},
                            {data :'status'},
            {data :'created_at'},
            {data :'updated_at'},
        ],
        "pageLength": 25
    });

    $('#appointment-appointment-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#appointment-appointment-list').DataTable().row( this ).data();

        $('#appointment-appointment-entry').load('{!!trans_url('admin/appointment/appointment')!!}' + '/' + d.id);
    });

    $("#appointment-appointment-list .search_bar input, #appointment-appointment-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

