<div class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="header with-sub" data-background-color="red">
                        <div class="row">
                            <div class="col-sm-8 title-main">
                                <i class="pe-7s-display2"></i>
                                <h4 class="title">{!! trans('appointment::appointment.title.user') !!}</h4>
                                <p class="sub-title">{!! trans('appointment::appointment.title.sub.user') !!}</p>
                            </div>
                            <div class="col-sm-4">
                                <div class="header-form">
                                    {!!Form::open()
                                   ->method('GET')
                                   ->class('form pn')
                                   ->action(trans_url(get_guard('url').'/appointment/appointment'))!!}
                                    <div class="form-group form-white mn">
                                      {!!Form::text('search')->type('text')->placeholder('Search')->raw()!!}
                                    </div>
                                    <button type="submit" class="btn btn-icon btn-round btn-white btn-raised search-btn"><i class="fa fa-search"></i></button>
                                    {!! Form::close()!!}
                                    <a href="{!!trans_url(get_guard('url').'/appointment/appointment/create')!!}" rel="tooltip" class="btn btn-white btn-round btn-simple btn-icon pull-right add-new" data-original-title="" title="">
                                        <i class="fa fa-plus-circle"></i>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="content table-responsive table-full-width">
                        @include('public::notifications')
                        <table class="table table-bigboy">
                            <thead>
                                <tr>
                                    <th class="text-center">Image</th>
                                    <th>{!! trans('appointment::appointment.label.department_id')!!}</th>
                    <th>{!! trans('appointment::appointment.label.faculty_id')!!}</th>
                    <th>{!! trans('appointment::appointment.label.name')!!}</th>
                    <th>{!! trans('appointment::appointment.label.last_name')!!}</th>
                    <th>{!! trans('appointment::appointment.label.email')!!}</th>
                    <th>{!! trans('appointment::appointment.label.address')!!}</th>
                    <th>{!! trans('appointment::appointment.label.city')!!}</th>
                    <th>{!! trans('appointment::appointment.label.state')!!}</th>
                    <th>{!! trans('appointment::appointment.label.booking_time')!!}</th>
                    <th>{!! trans('appointment::appointment.label.gender')!!}</th>
                    <th>{!! trans('appointment::appointment.label.description')!!}</th>
                    <th>{!! trans('appointment::appointment.label.files')!!}</th>
                    <th>{!! trans('appointment::appointment.label.status')!!}</th>
                    <th>{!! trans('appointment::appointment.label.created_at')!!}</th>
                    <th>{!! trans('appointment::appointment.label.updated_at')!!}</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse($appointments as $appointment)
                                <tr>
                                    <td>
                                        <div class="img-container">
                                            <a href="{{trans_url('appointment')}}/{{$appointment->getPublickey()}}">
                                              <img alt="" class="img-responsive" src="{!!url($appointment->defaultImage('sm','images'))!!}">
                                            </a>
                                        </div>
                                    </td>
                                    <td>{{ $appointment->department_id }}</td>
                    <td>{{ $appointment->faculty_id }}</td>
                    <td>{{ $appointment->name }}</td>
                    <td>{{ $appointment->last_name }}</td>
                    <td>{{ $appointment->email }}</td>
                    <td>{{ $appointment->address }}</td>
                    <td>{{ $appointment->city }}</td>
                    <td>{{ $appointment->state }}</td>
                    <td>{{ $appointment->booking_time }}</td>
                    <td>{{ $appointment->gender }}</td>
                    <td>{{ $appointment->description }}</td>
                    <td>{{ $appointment->files }}</td>
                                    <td class="td-actions">
                                        <a href="{{trans_url('appointment')}}/{!!$appointment->getRouteKey()!!}" rel="tooltip" data-toggle="tooltip" data-placement="top" title="View Appointment" class="btn btn-info btn-simple">
                                            <i class="material-icons">panorama</i>
                                        </a>
                                        <a href="{!! trans_url(get_guard('url').'/appointment/appointment') !!}/{!! $appointment->getRouteKey() !!}/edit" rel="tooltip" data-toggle="tooltip" data-placement="top" title="Edit Appointment" class="btn btn-success btn-simple">
                                            <i class="material-icons">edit</i>
                                        </a>
                                        <a rel="tooltip" data-toggle="tooltip" data-placement="top" title="Remove Appointment" class="btn btn-danger btn-simple" data-action="DELETE" data-href="{!! trans_url(get_guard('url').'/appointment/appointment') !!}/{!! $appointment->getRouteKey() !!}" data-remove="{!! $appointment->getRouteKey() !!}">
                                            <i class="material-icons">close</i>
                                        </a>
                                    </td>
                                </tr>
                                @empty
                                <tr>
                                    <td><h4>No appointments found.</h4></td>
                                </tr>
                                @endif
                                
                            </tbody>
                        </table>
                    </div>
                    <div class="footer">
                        {{$appointments->links()}}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>