<?php

namespace Vmc\Appointment;

use User;

class Appointment
{
    /**
     * $appointment object.
     */
    protected $appointment;

    /**
     * Constructor.
     */
    public function __construct(\Vmc\Appointment\Interfaces\AppointmentRepositoryInterface $appointment)
    {
        $this->appointment = $appointment;
    }

    /**
     * Returns count of appointment.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.appointment.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->appointment->pushCriteria(new \Litepie\Vmc\Repositories\Criteria\AppointmentUserCriteria());
        }

        $appointment = $this->appointment->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('appointment::' . $view, compact('appointment'))->render();
    }
}
