<?php

namespace Vmc\Appointment\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Vmc\Appointment\Interfaces\AppointmentRepositoryInterface;

class AppointmentPublicController extends BaseController
{
    // use AppointmentWorkflow;

    /**
     * Constructor.
     *
     * @param type \Vmc\Appointment\Interfaces\AppointmentRepositoryInterface $appointment
     *
     * @return type
     */
    public function __construct(AppointmentRepositoryInterface $appointment)
    {
        $this->repository = $appointment;
        parent::__construct();
    }

    /**
     * Show appointment's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $appointments = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('appointment::public.appointment.index', compact('appointments'))->render();
    }

    /**
     * Show appointment.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $appointment = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('appointment::public.appointment.show', compact('appointment'))->render();
    }

}
