<?php

namespace Vmc\Appointment\Workflow;

use Vmc\Appointment\Models\Appointment;
use Vmc\Appointment\Notifications\Appointment as AppointmentNotifyer;
use Notification;

class AppointmentNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Appointment $appointment
     *
     * @return void
     */
    public function complete(Appointment $appointment)
    {
        return Notification::send($appointment->user, new AppointmentNotifyer($appointment, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Appointment $appointment
     *
     * @return void
     */
    public function verify(Appointment $appointment)
    {
        return Notification::send($appointment->user, new AppointmentNotifyer($appointment, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Appointment $appointment
     *
     * @return void
     */
    public function approve(Appointment $appointment)
    {
        return Notification::send($appointment->user, new AppointmentNotifyer($appointment, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Appointment $appointment
     *
     * @return void
     */
    public function publish(Appointment $appointment)
    {
        return Notification::send($appointment->user, new AppointmentNotifyer($appointment, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Appointment $appointment
     *
     * @return void
     */
    public function archive(Appointment $appointment)
    {
        return Notification::send($appointment->user, new AppointmentNotifyer($appointment, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Appointment $appointment
     *
     * @return void
     */
    public function unpublish(Appointment $appointment)
    {
        return Notification::send($appointment->user, new AppointmentNotifyer($appointment, 'unpublish'));;

    }
}
